/*
 * Copyright (c) 1997-1998 University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of the Flux OSKit.  The OSKit is free software, also known
 * as "open source;" you can redistribute it and/or modify it under the terms
 * of the GNU General Public License (GPL), version 2, as published by the Free
 * Software Foundation (FSF).  To explore alternate licensing terms, contact
 * the University of Utah at csl-dist@cs.utah.edu or +1-801-585-3271.
 * 
 * The OSKit is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GPL for more details.  You should have
 * received a copy of the GPL along with the OSKit; see the file COPYING.  If
 * not, write to the FSF, 59 Temple Place #330, Boston, MA 02111-1307, USA.
 */

/*
 * a few things which we'll still globally define - this needs to be
 * cleaned up sometime.
 *
 * Note that code also has a
 * -include the FDEV_FREEBSD's global.h
 */

extern int OSKIT_FREEBSD_NET_is_softnetpending;
#define setsoftnet()	(OSKIT_FREEBSD_NET_is_softnetpending = 1)

#define ovbcopy(a, b, c)	bcopy(a, b, c)

/*
 * generated with:
 *   i586-fluke-nm liboskit_freebsd_net.a | grep ' [TDRC] ' | \
 *   grep -v "fdev_freebsd" | grep -v "FDEV_FREEBSD" | grep -v oskit_ | \
 *   awk '{ printf "#define "$3" OSKIT_FREEBSD_NET_"$3"\n"; }' | \
 *   sort >> ~/oskit/freebsd/net/include/global.h
 */
#define _ip_mcast_src OSKIT_FREEBSD_NET__ip_mcast_src
#define _ip_mforward OSKIT_FREEBSD_NET__ip_mforward
#define _ip_mrouter_done OSKIT_FREEBSD_NET__ip_mrouter_done
#define _ip_mrouter_get OSKIT_FREEBSD_NET__ip_mrouter_get
#define _ip_mrouter_set OSKIT_FREEBSD_NET__ip_mrouter_set
#define _mrt_ioctl OSKIT_FREEBSD_NET__mrt_ioctl
#define arp_allocated OSKIT_FREEBSD_NET_arp_allocated
#define arp_ifinit OSKIT_FREEBSD_NET_arp_ifinit
#define arp_intimer OSKIT_FREEBSD_NET_arp_intimer
#define arp_inuse OSKIT_FREEBSD_NET_arp_inuse
#define arp_maxtries OSKIT_FREEBSD_NET_arp_maxtries
#define arpinit_done OSKIT_FREEBSD_NET_arpinit_done
#define arpintr OSKIT_FREEBSD_NET_arpintr
#define arpintrq OSKIT_FREEBSD_NET_arpintrq
#define arpioctl OSKIT_FREEBSD_NET_arpioctl
#define arpresolve OSKIT_FREEBSD_NET_arpresolve
#define arpt_down OSKIT_FREEBSD_NET_arpt_down
#define arpt_keep OSKIT_FREEBSD_NET_arpt_keep
#define arpt_prune OSKIT_FREEBSD_NET_arpt_prune
#define arpwhohas OSKIT_FREEBSD_NET_arpwhohas
#define bpf_bufsize OSKIT_FREEBSD_NET_bpf_bufsize
#define bpf_dtab OSKIT_FREEBSD_NET_bpf_dtab
#define bpf_filter OSKIT_FREEBSD_NET_bpf_filter
#define bpf_iflist OSKIT_FREEBSD_NET_bpf_iflist
#define bpf_mtap OSKIT_FREEBSD_NET_bpf_mtap
#define bpf_setf OSKIT_FREEBSD_NET_bpf_setf
#define bpf_tap OSKIT_FREEBSD_NET_bpf_tap
#define bpf_validate OSKIT_FREEBSD_NET_bpf_validate
#define bpfattach OSKIT_FREEBSD_NET_bpfattach
#define bpfclose OSKIT_FREEBSD_NET_bpfclose
#define bpfilterattach OSKIT_FREEBSD_NET_bpfilterattach
#define bpfioctl OSKIT_FREEBSD_NET_bpfioctl
#define bpfopen OSKIT_FREEBSD_NET_bpfopen
#define bpfread OSKIT_FREEBSD_NET_bpfread
#define bpfselect OSKIT_FREEBSD_NET_bpfselect
#define bpfwrite OSKIT_FREEBSD_NET_bpfwrite
#define bsdnet_accept OSKIT_FREEBSD_NET_bsdnet_accept
#define bsdnet_bind OSKIT_FREEBSD_NET_bsdnet_bind
#define bsdnet_close OSKIT_FREEBSD_NET_bsdnet_close
#define bsdnet_connect OSKIT_FREEBSD_NET_bsdnet_connect
#define bsdnet_driver_ioctl OSKIT_FREEBSD_NET_bsdnet_driver_ioctl
#define bsdnet_driver_start OSKIT_FREEBSD_NET_bsdnet_driver_start
#define bsdnet_getpeername OSKIT_FREEBSD_NET_bsdnet_getpeername
#define bsdnet_getsockname OSKIT_FREEBSD_NET_bsdnet_getsockname
#define bsdnet_listen OSKIT_FREEBSD_NET_bsdnet_listen
#define bsdnet_net_receive OSKIT_FREEBSD_NET_bsdnet_net_receive
#define bsdnet_read OSKIT_FREEBSD_NET_bsdnet_read
#define bsdnet_recvfrom OSKIT_FREEBSD_NET_bsdnet_recvfrom
#define bsdnet_sendto OSKIT_FREEBSD_NET_bsdnet_sendto
#define bsdnet_setsockopt OSKIT_FREEBSD_NET_bsdnet_setsockopt
#define bsdnet_shutdown OSKIT_FREEBSD_NET_bsdnet_shutdown
#define bsdnet_socket OSKIT_FREEBSD_NET_bsdnet_socket
#define bsdnet_write OSKIT_FREEBSD_NET_bsdnet_write
#define ether_addmulti OSKIT_FREEBSD_NET_ether_addmulti
#define ether_delmulti OSKIT_FREEBSD_NET_ether_delmulti
#define ether_ifattach OSKIT_FREEBSD_NET_ether_ifattach
#define ether_input OSKIT_FREEBSD_NET_ether_input
#define ether_ipmulticast_max OSKIT_FREEBSD_NET_ether_ipmulticast_max
#define ether_ipmulticast_min OSKIT_FREEBSD_NET_ether_ipmulticast_min
#define ether_output OSKIT_FREEBSD_NET_ether_output
#define ether_sprintf OSKIT_FREEBSD_NET_ether_sprintf
#define etherbroadcastaddr OSKIT_FREEBSD_NET_etherbroadcastaddr
#define ethtoa OSKIT_FREEBSD_NET_ethtoa
#define fddi_ifattach OSKIT_FREEBSD_NET_fddi_ifattach
#define fddi_input OSKIT_FREEBSD_NET_fddi_input
#define fddi_output OSKIT_FREEBSD_NET_fddi_output
#define fill_rti OSKIT_FREEBSD_NET_fill_rti
#define find_rti OSKIT_FREEBSD_NET_find_rti
#define icmp_error OSKIT_FREEBSD_NET_icmp_error
#define icmp_input OSKIT_FREEBSD_NET_icmp_input
#define icmp_reflect OSKIT_FREEBSD_NET_icmp_reflect
#define icmp_send OSKIT_FREEBSD_NET_icmp_send
#define icmp_sysctl OSKIT_FREEBSD_NET_icmp_sysctl
#define icmpmask OSKIT_FREEBSD_NET_icmpmask
#define icmpmaskrepl OSKIT_FREEBSD_NET_icmpmaskrepl
#define icmpstat OSKIT_FREEBSD_NET_icmpstat
#define if_down OSKIT_FREEBSD_NET_if_down
#define if_index OSKIT_FREEBSD_NET_if_index
#define if_qflush OSKIT_FREEBSD_NET_if_qflush
#define if_slowtimo OSKIT_FREEBSD_NET_if_slowtimo
#define if_up OSKIT_FREEBSD_NET_if_up
#define ifa_ifwithaddr OSKIT_FREEBSD_NET_ifa_ifwithaddr
#define ifa_ifwithaf OSKIT_FREEBSD_NET_ifa_ifwithaf
#define ifa_ifwithdstaddr OSKIT_FREEBSD_NET_ifa_ifwithdstaddr
#define ifa_ifwithnet OSKIT_FREEBSD_NET_ifa_ifwithnet
#define ifa_ifwithroute OSKIT_FREEBSD_NET_ifa_ifwithroute
#define ifafree OSKIT_FREEBSD_NET_ifafree
#define ifaof_ifpforaddr OSKIT_FREEBSD_NET_ifaof_ifpforaddr
#define ifconf OSKIT_FREEBSD_NET_ifconf
#define ifinit OSKIT_FREEBSD_NET_ifinit
#define ifioctl OSKIT_FREEBSD_NET_ifioctl
#define ifnet OSKIT_FREEBSD_NET_ifnet
#define ifnet_addrs OSKIT_FREEBSD_NET_ifnet_addrs
#define ifpromisc OSKIT_FREEBSD_NET_ifpromisc
#define ifqmaxlen OSKIT_FREEBSD_NET_ifqmaxlen
#define igmp_fasttimo OSKIT_FREEBSD_NET_igmp_fasttimo
#define igmp_init OSKIT_FREEBSD_NET_igmp_init
#define igmp_input OSKIT_FREEBSD_NET_igmp_input
#define igmp_joingroup OSKIT_FREEBSD_NET_igmp_joingroup
#define igmp_leavegroup OSKIT_FREEBSD_NET_igmp_leavegroup
#define igmp_slowtimo OSKIT_FREEBSD_NET_igmp_slowtimo
#define igmp_sysctl OSKIT_FREEBSD_NET_igmp_sysctl
#define igmpstat OSKIT_FREEBSD_NET_igmpstat
#define in_addmulti OSKIT_FREEBSD_NET_in_addmulti
#define in_broadcast OSKIT_FREEBSD_NET_in_broadcast
#define in_canforward OSKIT_FREEBSD_NET_in_canforward
#define in_cksum OSKIT_FREEBSD_NET_in_cksum
#define in_control OSKIT_FREEBSD_NET_in_control
#define in_delmulti OSKIT_FREEBSD_NET_in_delmulti
#define in_ifaddr OSKIT_FREEBSD_NET_in_ifaddr
#define in_ifinit OSKIT_FREEBSD_NET_in_ifinit
#define in_ifscrub OSKIT_FREEBSD_NET_in_ifscrub
#define in_inithead OSKIT_FREEBSD_NET_in_inithead
#define in_interfaces OSKIT_FREEBSD_NET_in_interfaces
#define in_localaddr OSKIT_FREEBSD_NET_in_localaddr
#define in_losing OSKIT_FREEBSD_NET_in_losing
#define in_netof OSKIT_FREEBSD_NET_in_netof
#define in_pcballoc OSKIT_FREEBSD_NET_in_pcballoc
#define in_pcbbind OSKIT_FREEBSD_NET_in_pcbbind
#define in_pcbconnect OSKIT_FREEBSD_NET_in_pcbconnect
#define in_pcbdetach OSKIT_FREEBSD_NET_in_pcbdetach
#define in_pcbdisconnect OSKIT_FREEBSD_NET_in_pcbdisconnect
#define in_pcbinshash OSKIT_FREEBSD_NET_in_pcbinshash
#define in_pcbladdr OSKIT_FREEBSD_NET_in_pcbladdr
#define in_pcblookup OSKIT_FREEBSD_NET_in_pcblookup
#define in_pcblookuphash OSKIT_FREEBSD_NET_in_pcblookuphash
#define in_pcbnotify OSKIT_FREEBSD_NET_in_pcbnotify
#define in_pcbrehash OSKIT_FREEBSD_NET_in_pcbrehash
#define in_rtchange OSKIT_FREEBSD_NET_in_rtchange
#define in_rtqdrain OSKIT_FREEBSD_NET_in_rtqdrain
#define in_setpeeraddr OSKIT_FREEBSD_NET_in_setpeeraddr
#define in_setsockaddr OSKIT_FREEBSD_NET_in_setsockaddr
#define in_socktrim OSKIT_FREEBSD_NET_in_socktrim
#define inetctlerrmap OSKIT_FREEBSD_NET_inetctlerrmap
#define inetdomain OSKIT_FREEBSD_NET_inetdomain
#define inetsw OSKIT_FREEBSD_NET_inetsw
#define ip_ctloutput OSKIT_FREEBSD_NET_ip_ctloutput
#define ip_defttl OSKIT_FREEBSD_NET_ip_defttl
#define ip_deq OSKIT_FREEBSD_NET_ip_deq
#define ip_dooptions OSKIT_FREEBSD_NET_ip_dooptions
#define ip_dosourceroute OSKIT_FREEBSD_NET_ip_dosourceroute
#define ip_drain OSKIT_FREEBSD_NET_ip_drain
#define ip_enq OSKIT_FREEBSD_NET_ip_enq
#define ip_forward OSKIT_FREEBSD_NET_ip_forward
#define ip_freef OSKIT_FREEBSD_NET_ip_freef
#define ip_freemoptions OSKIT_FREEBSD_NET_ip_freemoptions
#define ip_fw_chain OSKIT_FREEBSD_NET_ip_fw_chain
#define ip_fw_chk OSKIT_FREEBSD_NET_ip_fw_chk
#define ip_fw_chk_ptr OSKIT_FREEBSD_NET_ip_fw_chk_ptr
#define ip_fw_ctl OSKIT_FREEBSD_NET_ip_fw_ctl
#define ip_fw_ctl_ptr OSKIT_FREEBSD_NET_ip_fw_ctl_ptr
#define ip_fw_init OSKIT_FREEBSD_NET_ip_fw_init
#define ip_getmoptions OSKIT_FREEBSD_NET_ip_getmoptions
#define ip_id OSKIT_FREEBSD_NET_ip_id
#define ip_init OSKIT_FREEBSD_NET_ip_init
#define ip_mcast_src OSKIT_FREEBSD_NET_ip_mcast_src
#define ip_mforward OSKIT_FREEBSD_NET_ip_mforward
#define ip_mrouter OSKIT_FREEBSD_NET_ip_mrouter
#define ip_mrouter_done OSKIT_FREEBSD_NET_ip_mrouter_done
#define ip_mrouter_get OSKIT_FREEBSD_NET_ip_mrouter_get
#define ip_mrouter_set OSKIT_FREEBSD_NET_ip_mrouter_set
#define ip_mrtproto OSKIT_FREEBSD_NET_ip_mrtproto
#define ip_next_mtu OSKIT_FREEBSD_NET_ip_next_mtu
#define ip_nhops OSKIT_FREEBSD_NET_ip_nhops
#define ip_optcopy OSKIT_FREEBSD_NET_ip_optcopy
#define ip_output OSKIT_FREEBSD_NET_ip_output
#define ip_pcbopts OSKIT_FREEBSD_NET_ip_pcbopts
#define ip_protox OSKIT_FREEBSD_NET_ip_protox
#define ip_reass OSKIT_FREEBSD_NET_ip_reass
#define ip_rsvp_done OSKIT_FREEBSD_NET_ip_rsvp_done
#define ip_rsvp_force_done OSKIT_FREEBSD_NET_ip_rsvp_force_done
#define ip_rsvp_init OSKIT_FREEBSD_NET_ip_rsvp_init
#define ip_rsvp_on OSKIT_FREEBSD_NET_ip_rsvp_on
#define ip_rsvp_vif_done OSKIT_FREEBSD_NET_ip_rsvp_vif_done
#define ip_rsvp_vif_init OSKIT_FREEBSD_NET_ip_rsvp_vif_init
#define ip_rsvpd OSKIT_FREEBSD_NET_ip_rsvpd
#define ip_rtaddr OSKIT_FREEBSD_NET_ip_rtaddr
#define ip_setmoptions OSKIT_FREEBSD_NET_ip_setmoptions
#define ip_slowtimo OSKIT_FREEBSD_NET_ip_slowtimo
#define ip_srcroute OSKIT_FREEBSD_NET_ip_srcroute
#define ip_stripoptions OSKIT_FREEBSD_NET_ip_stripoptions
#define ip_sysctl OSKIT_FREEBSD_NET_ip_sysctl
#define ipaddr OSKIT_FREEBSD_NET_ipaddr
#define ipforward_rt OSKIT_FREEBSD_NET_ipforward_rt
#define ipforwarding OSKIT_FREEBSD_NET_ipforwarding
#define ipintr OSKIT_FREEBSD_NET_ipintr
#define ipintrq OSKIT_FREEBSD_NET_ipintrq
#define ipip_input OSKIT_FREEBSD_NET_ipip_input
#define ipq OSKIT_FREEBSD_NET_ipq
#define ipqmaxlen OSKIT_FREEBSD_NET_ipqmaxlen
#define ipsendredirects OSKIT_FREEBSD_NET_ipsendredirects
#define ipstat OSKIT_FREEBSD_NET_ipstat
#define iptime OSKIT_FREEBSD_NET_iptime
#define is_softnetpending OSKIT_FREEBSD_NET_is_softnetpending
#define legal_vif_num OSKIT_FREEBSD_NET_legal_vif_num
#define link_rtrequest OSKIT_FREEBSD_NET_link_rtrequest
#define llinfo_arp OSKIT_FREEBSD_NET_llinfo_arp
#define loif OSKIT_FREEBSD_NET_loif
#define loioctl OSKIT_FREEBSD_NET_loioctl
#define loopattach OSKIT_FREEBSD_NET_loopattach
#define looutput OSKIT_FREEBSD_NET_looutput
#define lortrequest OSKIT_FREEBSD_NET_lortrequest
#define mask_rnhead OSKIT_FREEBSD_NET_mask_rnhead
#define max_keylen OSKIT_FREEBSD_NET_max_keylen
#define mbuf_bufio_create_instance OSKIT_FREEBSD_NET_mbuf_bufio_create_instance
#define mn_arp OSKIT_FREEBSD_NET_mn_arp
#define mn_ip OSKIT_FREEBSD_NET_mn_ip
#define mrt_ioctl OSKIT_FREEBSD_NET_mrt_ioctl
#define mrtstat OSKIT_FREEBSD_NET_mrtstat
#define netisr OSKIT_FREEBSD_NET_netisr
#define netisr_set OSKIT_FREEBSD_NET_netisr_set
#define netisrs OSKIT_FREEBSD_NET_netisrs
#define opensockops OSKIT_FREEBSD_NET_opensockops
#define ppp_compress_init OSKIT_FREEBSD_NET_ppp_compress_init
#define ppp_compress_setup OSKIT_FREEBSD_NET_ppp_compress_setup
#define ppp_compress_tcp OSKIT_FREEBSD_NET_ppp_compress_tcp
#define ppp_uncompress_tcp OSKIT_FREEBSD_NET_ppp_uncompress_tcp
#define ppp_uncompress_tcp_part OSKIT_FREEBSD_NET_ppp_uncompress_tcp_part
#define raw_attach OSKIT_FREEBSD_NET_raw_attach
#define raw_ctlinput OSKIT_FREEBSD_NET_raw_ctlinput
#define raw_detach OSKIT_FREEBSD_NET_raw_detach
#define raw_disconnect OSKIT_FREEBSD_NET_raw_disconnect
#define raw_init OSKIT_FREEBSD_NET_raw_init
#define raw_input OSKIT_FREEBSD_NET_raw_input
#define raw_recvspace OSKIT_FREEBSD_NET_raw_recvspace
#define raw_sendspace OSKIT_FREEBSD_NET_raw_sendspace
#define raw_usrreq OSKIT_FREEBSD_NET_raw_usrreq
#define rawcb OSKIT_FREEBSD_NET_rawcb
#define rawcb OSKIT_FREEBSD_NET_rawcb
#define rawcb OSKIT_FREEBSD_NET_rawcb
#define rawcb OSKIT_FREEBSD_NET_rawcb
#define rip_ctloutput OSKIT_FREEBSD_NET_rip_ctloutput
#define rip_init OSKIT_FREEBSD_NET_rip_init
#define rip_input OSKIT_FREEBSD_NET_rip_input
#define rip_output OSKIT_FREEBSD_NET_rip_output
#define rip_usrreq OSKIT_FREEBSD_NET_rip_usrreq
#define rn_addmask OSKIT_FREEBSD_NET_rn_addmask
#define rn_addroute OSKIT_FREEBSD_NET_rn_addroute
#define rn_delete OSKIT_FREEBSD_NET_rn_delete
#define rn_init OSKIT_FREEBSD_NET_rn_init
#define rn_inithead OSKIT_FREEBSD_NET_rn_inithead
#define rn_insert OSKIT_FREEBSD_NET_rn_insert
#define rn_lookup OSKIT_FREEBSD_NET_rn_lookup
#define rn_match OSKIT_FREEBSD_NET_rn_match
#define rn_mkfreelist OSKIT_FREEBSD_NET_rn_mkfreelist
#define rn_newpair OSKIT_FREEBSD_NET_rn_newpair
#define rn_refines OSKIT_FREEBSD_NET_rn_refines
#define rn_search OSKIT_FREEBSD_NET_rn_search
#define rn_search_m OSKIT_FREEBSD_NET_rn_search_m
#define rn_walktree OSKIT_FREEBSD_NET_rn_walktree
#define rn_walktree_from OSKIT_FREEBSD_NET_rn_walktree_from
#define route_dst OSKIT_FREEBSD_NET_route_dst
#define route_init OSKIT_FREEBSD_NET_route_init
#define route_output OSKIT_FREEBSD_NET_route_output
#define route_proto OSKIT_FREEBSD_NET_route_proto
#define route_src OSKIT_FREEBSD_NET_route_src
#define route_usrreq OSKIT_FREEBSD_NET_route_usrreq
#define routedomain OSKIT_FREEBSD_NET_routedomain
#define routesw OSKIT_FREEBSD_NET_routesw
#define rsvp_input OSKIT_FREEBSD_NET_rsvp_input
#define rsvp_on OSKIT_FREEBSD_NET_rsvp_on
#define rsvpdebug OSKIT_FREEBSD_NET_rsvpdebug
#define rt_ifmsg OSKIT_FREEBSD_NET_rt_ifmsg
#define rt_maskedcopy OSKIT_FREEBSD_NET_rt_maskedcopy
#define rt_missmsg OSKIT_FREEBSD_NET_rt_missmsg
#define rt_newaddrmsg OSKIT_FREEBSD_NET_rt_newaddrmsg
#define rt_setgate OSKIT_FREEBSD_NET_rt_setgate
#define rt_setmetrics OSKIT_FREEBSD_NET_rt_setmetrics
#define rtable_init OSKIT_FREEBSD_NET_rtable_init
#define rtalloc OSKIT_FREEBSD_NET_rtalloc
#define rtalloc1 OSKIT_FREEBSD_NET_rtalloc1
#define rtalloc_ign OSKIT_FREEBSD_NET_rtalloc_ign
#define rtfcdebug OSKIT_FREEBSD_NET_rtfcdebug
#define rtfree OSKIT_FREEBSD_NET_rtfree
#define rtinit OSKIT_FREEBSD_NET_rtinit
#define rtioctl OSKIT_FREEBSD_NET_rtioctl
#define rtq_minreallyold OSKIT_FREEBSD_NET_rtq_minreallyold
#define rtq_reallyold OSKIT_FREEBSD_NET_rtq_reallyold
#define rtq_timeout OSKIT_FREEBSD_NET_rtq_timeout
#define rtq_toomany OSKIT_FREEBSD_NET_rtq_toomany
#define rtredirect OSKIT_FREEBSD_NET_rtredirect
#define rtrequest OSKIT_FREEBSD_NET_rtrequest
#define rttrash OSKIT_FREEBSD_NET_rttrash
#define sl_compress_init OSKIT_FREEBSD_NET_sl_compress_init
#define sl_compress_tcp OSKIT_FREEBSD_NET_sl_compress_tcp
#define sl_uncompress_tcp OSKIT_FREEBSD_NET_sl_uncompress_tcp
#define sockargs OSKIT_FREEBSD_NET_sockargs
#define sockops OSKIT_FREEBSD_NET_sockops
#define sppp_cisco_input OSKIT_FREEBSD_NET_sppp_cisco_input
#define sppp_cisco_send OSKIT_FREEBSD_NET_sppp_cisco_send
#define sppp_cp_send OSKIT_FREEBSD_NET_sppp_cp_send
#define sppp_cp_timeout OSKIT_FREEBSD_NET_sppp_cp_timeout
#define sppp_ipcp_input OSKIT_FREEBSD_NET_sppp_ipcp_input
#define sppp_ipcp_open OSKIT_FREEBSD_NET_sppp_ipcp_open
#define sppp_ipcp_type_name OSKIT_FREEBSD_NET_sppp_ipcp_type_name
#define sppp_keepalive OSKIT_FREEBSD_NET_sppp_keepalive
#define sppp_lcp_conf_parse_options OSKIT_FREEBSD_NET_sppp_lcp_conf_parse_options
#define sppp_lcp_input OSKIT_FREEBSD_NET_sppp_lcp_input
#define sppp_lcp_open OSKIT_FREEBSD_NET_sppp_lcp_open
#define sppp_lcp_type_name OSKIT_FREEBSD_NET_sppp_lcp_type_name
#define sppp_print_bytes OSKIT_FREEBSD_NET_sppp_print_bytes
#define spppq OSKIT_FREEBSD_NET_spppq
#define subnetsarelocal OSKIT_FREEBSD_NET_subnetsarelocal
#define sysctl_dumpentry OSKIT_FREEBSD_NET_sysctl_dumpentry
#define sysctl_iflist OSKIT_FREEBSD_NET_sysctl_iflist
#define sysctl_rtable OSKIT_FREEBSD_NET_sysctl_rtable
#define tcb OSKIT_FREEBSD_NET_tcb
#define tcbinfo OSKIT_FREEBSD_NET_tcbinfo
#define tcp_attach OSKIT_FREEBSD_NET_tcp_attach
#define tcp_backoff OSKIT_FREEBSD_NET_tcp_backoff
#define tcp_canceltimers OSKIT_FREEBSD_NET_tcp_canceltimers
#define tcp_ccgen OSKIT_FREEBSD_NET_tcp_ccgen
#define tcp_close OSKIT_FREEBSD_NET_tcp_close
#define tcp_connect OSKIT_FREEBSD_NET_tcp_connect
#define tcp_ctlinput OSKIT_FREEBSD_NET_tcp_ctlinput
#define tcp_ctloutput OSKIT_FREEBSD_NET_tcp_ctloutput
#define tcp_debug OSKIT_FREEBSD_NET_tcp_debug
#define tcp_debx OSKIT_FREEBSD_NET_tcp_debx
#define tcp_disconnect OSKIT_FREEBSD_NET_tcp_disconnect
#define tcp_do_rfc1323 OSKIT_FREEBSD_NET_tcp_do_rfc1323
#define tcp_do_rfc1644 OSKIT_FREEBSD_NET_tcp_do_rfc1644
#define tcp_dooptions OSKIT_FREEBSD_NET_tcp_dooptions
#define tcp_drain OSKIT_FREEBSD_NET_tcp_drain
#define tcp_drop OSKIT_FREEBSD_NET_tcp_drop
#define tcp_fasttimo OSKIT_FREEBSD_NET_tcp_fasttimo
#define tcp_gettaocache OSKIT_FREEBSD_NET_tcp_gettaocache
#define tcp_init OSKIT_FREEBSD_NET_tcp_init
#define tcp_input OSKIT_FREEBSD_NET_tcp_input
#define tcp_iss OSKIT_FREEBSD_NET_tcp_iss
#define tcp_keepidle OSKIT_FREEBSD_NET_tcp_keepidle
#define tcp_keepinit OSKIT_FREEBSD_NET_tcp_keepinit
#define tcp_keepintvl OSKIT_FREEBSD_NET_tcp_keepintvl
#define tcp_maxidle OSKIT_FREEBSD_NET_tcp_maxidle
#define tcp_maxpersistidle OSKIT_FREEBSD_NET_tcp_maxpersistidle
#define tcp_mss OSKIT_FREEBSD_NET_tcp_mss
#define tcp_mssdflt OSKIT_FREEBSD_NET_tcp_mssdflt
#define tcp_mssopt OSKIT_FREEBSD_NET_tcp_mssopt
#define tcp_mtudisc OSKIT_FREEBSD_NET_tcp_mtudisc
#define tcp_newtcpcb OSKIT_FREEBSD_NET_tcp_newtcpcb
#define tcp_notify OSKIT_FREEBSD_NET_tcp_notify
#define tcp_now OSKIT_FREEBSD_NET_tcp_now
#define tcp_outflags OSKIT_FREEBSD_NET_tcp_outflags
#define tcp_output OSKIT_FREEBSD_NET_tcp_output
#define tcp_pulloutofband OSKIT_FREEBSD_NET_tcp_pulloutofband
#define tcp_quench OSKIT_FREEBSD_NET_tcp_quench
#define tcp_reass OSKIT_FREEBSD_NET_tcp_reass
#define tcp_recvspace OSKIT_FREEBSD_NET_tcp_recvspace
#define tcp_respond OSKIT_FREEBSD_NET_tcp_respond
#define tcp_rtlookup OSKIT_FREEBSD_NET_tcp_rtlookup
#define tcp_rttdflt OSKIT_FREEBSD_NET_tcp_rttdflt
#define tcp_sendspace OSKIT_FREEBSD_NET_tcp_sendspace
#define tcp_setpersist OSKIT_FREEBSD_NET_tcp_setpersist
#define tcp_slowtimo OSKIT_FREEBSD_NET_tcp_slowtimo
#define tcp_sysctl OSKIT_FREEBSD_NET_tcp_sysctl
#define tcp_template OSKIT_FREEBSD_NET_tcp_template
#define tcp_timers OSKIT_FREEBSD_NET_tcp_timers
#define tcp_totbackoff OSKIT_FREEBSD_NET_tcp_totbackoff
#define tcp_trace OSKIT_FREEBSD_NET_tcp_trace
#define tcp_usrclosed OSKIT_FREEBSD_NET_tcp_usrclosed
#define tcp_usrreq OSKIT_FREEBSD_NET_tcp_usrreq
#define tcp_xmit_timer OSKIT_FREEBSD_NET_tcp_xmit_timer
#define tcprexmtthresh OSKIT_FREEBSD_NET_tcprexmtthresh
#define tcpstat OSKIT_FREEBSD_NET_tcpstat
#define udb OSKIT_FREEBSD_NET_udb
#define udbinfo OSKIT_FREEBSD_NET_udbinfo
#define udp_ctlinput OSKIT_FREEBSD_NET_udp_ctlinput
#define udp_in OSKIT_FREEBSD_NET_udp_in
#define udp_init OSKIT_FREEBSD_NET_udp_init
#define udp_input OSKIT_FREEBSD_NET_udp_input
#define udp_output OSKIT_FREEBSD_NET_udp_output
#define udp_recvspace OSKIT_FREEBSD_NET_udp_recvspace
#define udp_sendspace OSKIT_FREEBSD_NET_udp_sendspace
#define udp_sysctl OSKIT_FREEBSD_NET_udp_sysctl
#define udp_usrreq OSKIT_FREEBSD_NET_udp_usrreq
#define udpcksum OSKIT_FREEBSD_NET_udpcksum
#define udpstat OSKIT_FREEBSD_NET_udpstat
#define useloopback OSKIT_FREEBSD_NET_useloopback
#define wildcard OSKIT_FREEBSD_NET_wildcard
#define zeroin_addr OSKIT_FREEBSD_NET_zeroin_addr
